<div fxLayout="column">
  <div *ngIf="task" fxLayout="row" fxLayoutAlign="space-between stretch">

    <div class="input-group-text text-light" [style.background-color]="task.type?.color" fxFlex="4" fxLayout="column">

      <div fxLayoutAlign="center center">
        <span class="issueText">{{task.type.name}}</span>
      </div>

      <div *ngIf="task.container" fxLayout="column" fxLayoutAlign="end center" fxFlex>
        <span style="margin: 0">Format</span>
        <div class="dividerVW"></div>
        <span style="margin: 0">{{task.container.format}}</span>
      </div>

    </div>

    <raamCard fxFlex="75">
      <div fxLayout="column" fxFlex>
        <raamInput [value]="task.title" title="Title"></raamInput>
        <raamInput [value]="task.description" title="Description" [areaText]="true"></raamInput>
      </div>
    </raamCard>


    <div fxLayout="column" fxFlex>

      <raamCard >
        <div fxLayout="column" fxFlex>
          <userMini *ngIf="task.assignee" [user]="task.assignee"></userMini>
        </div>
      </raamCard>

      <raamCard  fxFlex="60">
        <div *ngIf="task.estimatedPoints" fxLayout="column" fxFlex>
          <div fxLayout="row" fxLayoutAlign="center center" fxFlex>
            <div fxLayout="column" fxLayoutAlign="center end" fxFlex>
              <span class="raamHintText">Estimated Points:</span>
              <span class="raamHintText">Estimated Time:</span>
              <span class="raamHintText">Time spend:</span>
            </div>
            <div style="margin-left: 1rem" fxLayout="column" fxFlex>
              <span class="raamHintText">{{task.estimatedPoints}}</span>
              <span class="raamHintText">{{calcEstimatedTime(1.5)}}</span>
              <span class="raamHintText">{{createReadableTime()}}</span>
            </div>
          </div>

          <ngb-progressbar showValue="true" type="success" [value]="progressInPercent(1.5)"></ngb-progressbar>
        </div>
      </raamCard>
    </div>
  </div>

  <div *ngIf="task" fxLayout="row" fxFlexOffset="1">
    <raamCard *ngIf="task.workLogs.length > 0" fxFlex="50">
      <div fxLayout="column" fxFlex>
        <div fxLayout="row" fxLayoutAlign="space-between">
          <div fxLayout="column" fxLayoutAlign="start end" fxFlex="20">
            <span class="raamHintText">Change Log</span>
          </div>
          <div fxLayout="column" fxLayoutAlign="start start" fxFlex fxFlexOffset="2">
            <span class="raamHintText">{{task.workLogs.length}} Entries</span>
          </div>
        </div>
        <div class="dividerV"></div>

        <div *ngFor="let work of task.workLogs" fxLayout="row" fxFlexOffset="2">

          <div fxLayout="column" fxLayoutAlign="start end" fxFlex="20">
            <span class="raamHintText">{{toLocaleString(work.created_date)}}</span>
            <span class="raamHintText">{{work.createReadableLogTime()}}</span>
          </div>

          <div fxLayout="column" fxLayoutAlign="space-between" fxFlex fxFlexOffset="2">
            <span class="raamHintText">{{work.commitTitle}}</span>
            <div class="dividerV"></div>
            <span class="raamHintText">{{work.commitDescription}}</span>
          </div>
        </div>

        <div fxLayout="row">
          <!--<button fxFlex="20" class="btn btn-sm btn-outline-primary" (click)="openWorkLogModal()">See all</button>-->
        </div>
      </div>
    </raamCard>

    <fileCard *ngIf="task.filePath" [container]="task.container" [path]="task.filePath" fxFlex="30"></fileCard>
    <button fxFlex="20" class="btn btn-danger" (click)="deleteOneTask(id)">Delete</button>
  </div>
</div>
